| The Gaudi Framework v28r2p1 (f1a77ff4)

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Private Attributes | List of all members
GaudiPython.Bindings.PyAlgorithm Class Reference
Inheritance diagram for GaudiPython.Bindings.PyAlgorithm:
[legend]
Collaboration diagram for GaudiPython.Bindings.PyAlgorithm:
[legend]

## Public Member Functions
def | __init__ (self, name=None)
def | __del__ (self)
def | initialize (self)
def | start (self)
def | execute (self)
def | stop (self)
def | finalize (self)
def | beginRun (self)
def | endRun (self)

## Private Attributes
| _svcloc
| _algmgr

## Detailed Description

Definition at line 1115 of file Bindings.py.

## Constructor & Destructor Documentation

def GaudiPython.Bindings.PyAlgorithm.__init__ | ( |  | self,
|  |  | name = `None`
| ) |  |

Definition at line 1116 of file Bindings.py.

1116 def __init__(self, name=None) :
1117 if not name : name = self.__class__.__name__
1118 _PyAlgorithm.__init__(self, self, name)
1119 self._svcloc = gbl.Gaudi.svcLocator()
1120 self._algmgr = InterfaceCast(gbl.IAlgManager)(self._svcloc)
1121 sc = self._algmgr.addAlgorithm(self)
1122 if sc.isFailure() : raise RuntimeError, 'Unable to add Algorithm'
GaudiPython.Bindings.InterfaceCast
Definition: Bindings.py:86
GaudiPython.Bindings.PyAlgorithm._algmgr
_algmgr
Definition: Bindings.py:1120
GaudiPython.Bindings.PyAlgorithm._svcloc
_svcloc
Definition: Bindings.py:1119
GaudiPython.Bindings.PyAlgorithm.__init__
def __init__(self, name=None)
Definition: Bindings.py:1116

def GaudiPython.Bindings.PyAlgorithm.__del__ | ( |  | self | ) |

Definition at line 1123 of file Bindings.py.

1123 def __del__(self):
1124 sc = self._algmgr.removeAlgorithm(self)
1125 if sc.isFailure() : pass
GaudiPython.Bindings.PyAlgorithm.__del__
def __del__(self)
Definition: Bindings.py:1123

## Member Function Documentation

def GaudiPython.Bindings.PyAlgorithm.beginRun | ( |  | self | ) |

Definition at line 1131 of file Bindings.py.

1131 def beginRun(self) : return 1
GaudiPython.Bindings.PyAlgorithm.beginRun
def beginRun(self)
Definition: Bindings.py:1131

def GaudiPython.Bindings.PyAlgorithm.endRun | ( |  | self | ) |

Definition at line 1132 of file Bindings.py.

1132 def endRun(self) : return 1
1133
1134 #----Enable tab completion------------------------------------------------------------
1135 try:
GaudiPython.Bindings.PyAlgorithm.endRun
def endRun(self)
Definition: Bindings.py:1132

def GaudiPython.Bindings.PyAlgorithm.execute | ( |  | self | ) |

Definition at line 1128 of file Bindings.py.

1128 def execute(self) : return 1
GaudiPython.Bindings.PyAlgorithm.execute
def execute(self)
Definition: Bindings.py:1128

def GaudiPython.Bindings.PyAlgorithm.finalize | ( |  | self | ) |

Definition at line 1130 of file Bindings.py.

1130 def finalize(self) : return 1
GaudiPython.Bindings.PyAlgorithm.finalize
def finalize(self)
Definition: Bindings.py:1130

def GaudiPython.Bindings.PyAlgorithm.initialize | ( |  | self | ) |

Definition at line 1126 of file Bindings.py.

1126 def initialize(self) : return 1
GaudiPython.Bindings.PyAlgorithm.initialize
def initialize(self)
Definition: Bindings.py:1126

def GaudiPython.Bindings.PyAlgorithm.start | ( |  | self | ) |

Definition at line 1127 of file Bindings.py.

1127 def start(self) : return 1
GaudiPython.Bindings.PyAlgorithm.start
def start(self)
Definition: Bindings.py:1127

def GaudiPython.Bindings.PyAlgorithm.stop | ( |  | self | ) |

Definition at line 1129 of file Bindings.py.

1129 def stop(self) : return 1
GaudiPython.Bindings.PyAlgorithm.stop
def stop(self)
Definition: Bindings.py:1129

## Member Data Documentation

GaudiPython.Bindings.PyAlgorithm._algmgr
| private

Definition at line 1120 of file Bindings.py.

GaudiPython.Bindings.PyAlgorithm._svcloc
| private

Definition at line 1119 of file Bindings.py.

The documentation for this class was generated from the following file:

- GaudiPython/python/GaudiPython/Bindings.py